package com.cyksj.service.mange;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cyksj.model.entity.GoodsDiscountPlusPurchaseRelation;
import com.cyksj.model.entity.GoodsDonSku;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author chan
 * @date 2022/9/27 5:43 PM
 */
public interface CmsGoodsDonSkuService extends IService<GoodsDonSku> {
	void handleDiscountPurchaseGoods(GoodsDonSku sku, List<GoodsDiscountPlusPurchaseRelation> discountPlusPurchaseGoods);

	void updateMirrorCarUserNum(GoodsDonSku sku);

	void setBelowPriceShopSkuDown(Long skuId, BigDecimal newPrice);

	void handleGptPackageSku(GoodsDonSku dbSku, GoodsDonSku sku) throws Exception;
}
